spring:
  cloud:
    env: prod
    config:
      discovery:
        enabled: true
        service-id: cloud-config
      profile: default
      label: master
    loadbalancer:
      retry:
        enabled: true
  metrics:
    influx:
      uri: http://192.168.83.241:8086/write
      step: PT10S
      db: ${spring.application.name}
      enabled: true
  zipkin:
    base-url: http://192.168.1.175:9399
    locator:
      discovery:
        enabled: true
  sleuth:
    sampler:
      percentage: 0.02
  rabbitmq:
    addresses: 192.168.2.122:5673,192.168.2.123:5673,192.168.2.124:5673
    username: pcloud
    password: pcloud
    listener:
      retry:
        max-attempts: 3  # 最大重试次数
        enabled: true # 是否开启消费者重试（为false时关闭消费者重试，这时消费端代码异常会一直重复收到消息）
        initial-interval: 5000 # 重试间隔时间（单位毫秒）
      default-requeue-rejected: true # 重试次数超过上面的设置之后是否丢弃（false不丢弃时需要写相应代码将该消息加入死信队列）      
  data:
    solr:
      zkHost: 192.168.1.102:9983,192.168.1.102:8574
redis:
  cluster:
    nodes:
    - 192.168.1.161:7001
    - 192.168.1.162:7002
    - 192.168.1.163:7003
    - 192.168.1.164:7004
    - 192.168.1.165:7005
    - 192.168.1.166:7006
    - 192.168.1.167:7007
    - 192.168.1.168:7008
    - 192.168.1.169:7009
eureka:
  client:
    service-url:
      defaultZone: http://192.168.1.100:9396/eureka/,http://192.168.1.101:9396/eureka/
    registry-fetch-interval-seconds: 5
  instance:
    lease-expiration-duration-in-seconds: 30
    lease-renewal-interval-in-seconds: 10
    prefer-ip-address: true
    a-s-g-name: ${spring.application.name}
    metadata-map:
      cluster: ${spring.application.name}
management:
  security:
    enabled: false
ribbon:
  ServerListRefreshInterval: 5
  OkToRetryOnAllOperations: true
  MaxAutoRetriesNextServer: 1
  MaxAutoRetries: 0
  ReadTimeout: 60000
  ConnectTimeout: 60000
hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 30000
  threadpool:
    default:
      coreSize: 300